/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;
  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/grantee.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/grantee.xml',
'<View title="Grantee" defaultFormHandler="xxas_grantees_pkg.form_post_handler">
  <CreateFields>
    <Hidden id="GRANT_ID"/>
    <Hidden id="GRANTER_PERSON_ID"/>
    <Hidden id="PERSON_ID"/>
    <Hidden id="ASSIGNMENT_ID"/>
    <Combolist id="GRANTEE_PERSON_ID" label="{message.XXAS_PERF_GRANTEE}" required="true" longlist="true" listProvider="REST:peoplesearch?q={searchText}"/>
    <Date id="FROM_DATE" required="true"/>
    <Date id="TO_DATE" required="true"/>
    <Poplist id="RELATIONSHIP_CODE" label="{message.XXAS_PERF_RELATIONSHIP}" enabled="true" visible="true" listProvider="LOOKUP_TYPE:XXAS_GRANTEE_RELATIONSHIPS"/>
    <Combolist id="PERMISSIONS" label="{message.XXAS_PERF_PERMISSION}" multipleSelection="true" style="tags" listProvider="LOOKUP_TYPE:XXAS_GRANTEE_PERMISSION"/>
  </CreateFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/grantee.xml');
END;
/
COMMIT;
EXIT;
